---
Performance/MethodObjectAsBlock:
  Exclude:
    - 'app/controllers/concerns/metrics_dashboard.rb'
    - 'app/controllers/concerns/requires_whitelisted_monitoring_client.rb'
    - 'app/controllers/projects/merge_requests/drafts_controller.rb'
    - 'app/finders/bulk_imports/entities_finder.rb'
    - 'app/models/clusters/cluster.rb'
    - 'app/models/concerns/prometheus_adapter.rb'
    - 'app/models/concerns/token_authenticatable.rb'
    - 'app/models/container_repository.rb'
    - 'app/models/programming_language.rb'
    - 'app/presenters/packages/detail/package_presenter.rb'
    - 'app/services/bulk_imports/file_download_service.rb'
    - 'app/services/ci/pipeline_processing/atomic_processing_service.rb'
    - 'app/services/ci/prometheus_metrics/observe_histograms_service.rb'
    - 'app/services/concerns/users/participable_service.rb'
    - 'app/services/discussions/resolve_service.rb'
    - 'app/services/jira/requests/projects/list_service.rb'
    - 'app/services/merge_requests/refresh_service.rb'
    - 'app/services/packages/debian/generate_distribution_service.rb'
    - 'app/services/projects/container_repository/delete_tags_service.rb'
    - 'app/workers/gitlab/import/stuck_import_job.rb'
    - 'app/workers/object_storage/migrate_uploads_worker.rb'
    - 'config/initializers/0_inject_enterprise_edition_module.rb'
    - 'ee/app/finders/security/findings_finder.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities/scanners_resolver.rb'
    - 'ee/app/services/dashboard/projects/create_service.rb'
    - 'ee/app/services/security/findings/cleanup_service.rb'
    - 'ee/app/services/security/ingestion/ingest_reports_service.rb'
    - 'ee/app/services/security/ingestion/tasks/ingest_vulnerability_statistics.rb'
    - 'ee/app/services/security/store_grouped_scans_service.rb'
    - 'ee/lib/ee/container_registry/client.rb'
    - 'ee/lib/ee/gitlab/ci/config_ee.rb'
    - 'ee/lib/ee/gitlab/etag_caching/router/rails.rb'
    - 'ee/lib/gitlab/ingestion/bulk_insertable_task.rb'
    - 'ee/spec/services/groups/participants_service_spec.rb'
    - 'lib/api/helpers/packages/conan/api_helpers.rb'
    - 'lib/bulk_imports/pipeline.rb'
    - 'lib/container_registry/base_client.rb'
    - 'lib/container_registry/gitlab_api_client.rb'
    - 'lib/gitlab/ci/build/rules/rule.rb'
    - 'lib/gitlab/ci/build/rules/rule/clause/exists.rb'
    - 'lib/gitlab/ci/config/external/mapper.rb'
    - 'lib/gitlab/ci/config/yaml/tags/resolver.rb'
    - 'lib/gitlab/ci/pipeline/chain/create_deployments.rb'
    - 'lib/gitlab/ci/pipeline/chain/ensure_environments.rb'
    - 'lib/gitlab/ci/pipeline/chain/ensure_resource_groups.rb'
    - 'lib/gitlab/ci/pipeline/chain/validate/external.rb'
    - 'lib/gitlab/ci/status/composite.rb'
    - 'lib/gitlab/config/entry/legacy_validation_helpers.rb'
    - 'lib/gitlab/config/entry/validators.rb'
    - 'lib/gitlab/container_repository/tags/cache.rb'
    - 'lib/gitlab/daemon.rb'
    - 'lib/gitlab/data_builder/pipeline.rb'
    - 'lib/gitlab/dependency_linker/cartfile_linker.rb'
    - 'lib/gitlab/dependency_linker/gemfile_linker.rb'
    - 'lib/gitlab/dependency_linker/gemspec_linker.rb'
    - 'lib/gitlab/dependency_linker/package_json_linker.rb'
    - 'lib/gitlab/dependency_linker/podspec_json_linker.rb'
    - 'lib/gitlab/dependency_linker/podspec_linker.rb'
    - 'lib/gitlab/etag_caching/router/graphql.rb'
    - 'lib/gitlab/etag_caching/router/rails.rb'
    - 'lib/gitlab/health_checks/simple_abstract_check.rb'
    - 'lib/gitlab/import_export/attributes_finder.rb'
    - 'lib/gitlab/import_export/config.rb'
    - 'lib/gitlab/import_export/fast_hash_serializer.rb'
    - 'lib/gitlab/import_export/group/tree_restorer.rb'
    - 'lib/gitlab/middleware/basic_health_check.rb'
    - 'lib/gitlab/prometheus/additional_metrics_parser.rb'
    - 'lib/gitlab/prometheus/queries/matched_metric_query.rb'
    - 'lib/gitlab/prometheus/queries/query_additional_metrics.rb'
    - 'lib/gitlab/search_context.rb'
    - 'lib/gitlab/sidekiq_queue.rb'
    - 'lib/gitlab/uploads/migration_helper.rb'
    - 'lib/gitlab/utils.rb'
    - 'lib/peek/views/detailed_view.rb'
    - 'lib/tasks/gitlab/assets.rake'
    - 'lib/unnested_in_filters/rewriter.rb'
    - 'qa/qa/specs/features/browser_ui/2_plan/email/trigger_email_notification_spec.rb'
    - 'rubocop/cop/avoid_return_from_blocks.rb'
    - 'rubocop/cop/gitlab/mark_used_feature_flags.rb'
    - 'rubocop/rubocop.rb'
    - 'spec/graphql/resolvers/concerns/caching_array_resolver_spec.rb'
    - 'spec/lib/api/entities/merge_request_basic_spec.rb'
    - 'spec/lib/gitlab/import_export/import_test_coverage_spec.rb'
    - 'spec/lib/gitlab/search_context/builder_spec.rb'
    - 'spec/models/design_management/version_spec.rb'
    - 'spec/services/notification_service_spec.rb'
    - 'spec/services/projects/container_repository/cleanup_tags_service_spec.rb'
    - 'spec/support/helpers/migrations_helpers.rb'
    - 'spec/support/shared_examples/models/active_record_enum_shared_examples.rb'
    - 'spec/support_specs/helpers/stub_feature_flags_spec.rb'
    - 'tooling/lib/tooling/find_codeowners.rb'
    - 'tooling/lib/tooling/test_map_packer.rb'
    - 'tooling/quality/test_level.rb'
